Skip to main content
GET
/
api
/
v1
/
fills
List fills
curl --request GET \
  --url https://api.probalytics.io/api/v1/fills \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.probalytics.io/api/v1/fills"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.probalytics.io/api/v1/fills', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "market_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "market_platform_id": "<string>",
      "platform_id": "<string>",
      "outcome": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "platform_id": "<string>",
        "name": "<string>",
        "index": 123
      },
      "size": "<string>",
      "price": "<string>",
      "normalized_price": "<string>",
      "taker_cash_flow": "<string>",
      "maker_cash_flow": "<string>",
      "taker_id": "<string>",
      "maker_id": "<string>",
      "fee": "<string>",
      "timestamp": "2023-11-07T05:31:56Z"
    }
  ],
  "next_cursor": "<string>"
}
{
"code": 123,
"message": "<string>",
"data": {}
}
{
"code": 123,
"message": "<string>",
"data": {}
}
{
"code": 123,
"message": "<string>",
"data": {}
}
{
"code": 123,
"message": "<string>",
"data": {}
}

Authorizations

Authorization
string
header
required

API key in the format credential_id:credential_secret.

Example: Authorization: Bearer api_brave_cosmic_falcon:sk_life_AbCdEfGh...

Query Parameters

platform
enum<string>

Filter by prediction market platform.

Available options:
KALSHI,
POLYMARKET
market_id
string<uuid>

Filter by Probalytics internal market UUID.

market_platform_id
string

Filter by the platform's native market identifier (e.g. Kalshi ticker or Polymarket condition ID). Resolved to an internal market UUID before querying fills.

taker_side
enum<string>

Filter by the taker's side of the trade.

Available options:
BUY,
SELL
trader_id
string

Filter fills where this address/ID appears as either taker or maker.

start_time
string<date-time>

Include fills at or after this timestamp (RFC 3339).

end_time
string<date-time>

Include fills at or before this timestamp (RFC 3339).

limit
integer
default:100

Maximum number of results to return.

Required range: 1 <= x <= 1000
cursor
string

Pagination cursor returned from a previous request.

Response

A paginated list of fills.

data
object[]
next_cursor
string

Cursor for the next page. Absent when there are no more results.